# Uses of Class
org.springframework.web.context.request.async.WebAsyncManager

Packages that use WebAsyncManager
Package
Description
org.springframework.web.context.request.async
Support for asynchronous request processing.

## Uses of WebAsyncManager in org.springframework.web.context.request.async

Methods in org.springframework.web.context.request.async that return WebAsyncManager
Modifier and Type
Method
Description
`static WebAsyncManager`
WebAsyncUtils.`getAsyncManager(ServletRequest servletRequest)`
Obtain the `WebAsyncManager` for the current request, or if not found, create and associate it with the request.
`static WebAsyncManager`
WebAsyncUtils.`getAsyncManager(WebRequest webRequest)`
Obtain the `WebAsyncManager` for the current request, or if not found, create and associate it with the request.